
import React from "react"
import styled from "styled-components"


const StyleDiv = styled.div`
    width: 14rem;
    height: 21rem;
    margin-top: 1rem;
    margin-left: 2rem;
    overflow-y: scroll;
    overflow-x: hidden;

    @media (min-width: 576px) {
        width:18rem;
        height: 20rem;
    }
    @media (min-width: 768px) {
        width:18rem;
    }
    

    @media (min-width: 992px) { 
        width:18rem;
    }
`

export default (props) => {
    return (
        <StyleDiv>
            <h5>Conteudistas</h5>
            <ul><li><p>Jordana Santos Cardoso</p></li></ul>
            <h5>Revisores Técnicos</h5>
            <ul><li><p>Andrea Borghi Moreira Jacinto</p></li><li><p>Melquia da Cunha Lima</p></li></ul>
            <h5>Revisores Pedagógicos</h5>
            <ul><li><p>Deysianne Costa das Chagas</p></li></ul>
            <h5>Design Instrucional</h5>
            <ul><li><p>Karoline Corrêa Trindade</p></li><li><p>Luís Gustavo Sodré Sousa</p></li><li><p>Stephanie Matos Silva</p></li></ul>
            <h5>Design Gráfico</h5>
            <ul><li><p>Camila Santos de Castro e Lima</p></li></ul>
            <h5>Tecnologia da Informação</h5>
            <ul><li><p>Diego Costa Figueiredo</p></li><li><p>Alfredo Tito Silva</p></li></ul>
        </StyleDiv>
    )
}