import React from 'react'
import styled from 'styled-components'

import modalImg from '../core/media/imgs/estrutura/modal.png'
const ModalDiv = styled.div`

    width: 17rem;
    height: 19rem;
    
    background-image: url(${modalImg});
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
    background-position: center;

    font-size: 1em;
    line-height:1.1;
   

    #closeId{
        position: relative;
        left: -5%;
        top: 2%;
    }

    #modalTitle{
        color: #ad0000;
        width: 76%;
        height: 16%;
        font-size: 1.1em;
        word-break: normal;
        text-align: center;
    }

    #modalImg{
        width: 40%;
    }

    #modalImg img{
        width:100%;
        height:100%;
    }

    #modalText{
        width: 70%;
        height: 20%;
        text-align: center;
        margin-top: 4%;
    } 

    .img1948{
        width: 45% !important;
    }

    .img1975{
        width: 35% !important;
    }

    .img1981{
        width:40% !important;
    }

    .img1982{
        margin-top:5%;
        width: 33% !important;
    }


    .title1994{
        margin-bottom: -4% !important;
    }

    .img1994{
        width: 47% !important;
    }

    .img1999{
        width: 30% !important;
    }

    .img2001{
        width: 67% !important;
    }

    .img2002{
        width: 33% !important;
    }

    .img2004{
        width: 30% !important;
    }

    .img2007{
        width: 77% !important;
    }

    .title2008{
        margin-top: -7% !important;
        width: 33% !important;
    }

    .img2009{
        width: 30% !important;
    }
    .img2011{
        width: 68% !important;
    }
    .img2015{
        width: 30% !important;
    }
    .title2017{
        margin-bottom: 7%;
    }
`

export default (props) => {
    return (
        <React.Fragment>
            <div className="modal fade" id="exampleModalCenter" tabIndex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
                <div className="modal-dialog modal-dialog-centered" role="document">
                    <ModalDiv id="modalContent" className="d-flex flex-column align-items-center">
                        <button style={{color:"#ad0000"}} id="closeId" type="button" className="close align-self-end" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                        <div id="modalTitle">
                        </div>
                        <div id="modalImg">

                        </div>
                        <div id="modalText">
                        </div>
                    </ModalDiv>
                </div>
            </div>
        </React.Fragment>
    )
}