import React from 'react'
import $ from 'jquery'
import StyledButton from '../core/styledComponents/TimeButton'
var cookies = require('browser-cookies');
var currentYear = 1900

export default class TimeButton extends React.Component{

    constructor(props){
        super(props)

        this.state = {
            Id : this.props.Id,
            modalTitle : this.props.modalTitle,
            modalImage : this.props.modalImage,
            modalText : this.props.modalText,
            Button : this.props.Button,
            ButtonPressed : this.props.ButtonPressed,
            Position: this.props.Position
        }
    }  


    componentDidMount(){

        if(this.state.Id == "2017" || this.state.Id == "1948"){
            $("#timelineDiv").scroll(()=>{
                var rect = $("#"+this.state.Id)[0].getBoundingClientRect();
                var elemTop = rect.top;
                var elemBottom = rect.bottom;

                var isVisible = (elemTop >= 0) && (elemBottom <= window.innerHeight)
                
                if(isVisible && this.state.Id == "2017"){
                    $("#arrowButtonDown").css("opacity","0.5")
                }else{
                    $("#arrowButtonDown").css("opacity","1")
                }

                var timeRect = $("#timelineDiv")[0].getBoundingClientRect();
                
                var isVisible2 = (elemTop < 0)
                if(!isVisible2 && this.state.Id == "1948"){
                    $("#arrowButtonUp").css("opacity","0.5")
                }
                if(isVisible2 && this.state.Id == "1948"){
                    $("#arrowButtonUp").css("opacity","1")
                }
            })
        }
        //
        let imgClass = 'img'+this.state.Id
        // console.log(cookies.get('#1948'+this.state.Id))
        // if(cookies.get('#'+this.state.Id) == 'true'){
        if(sessionStorage.getItem('#'+this.state.Id) == 'true'){
            $('#'+this.state.Id).html(`<img src=${this.state.ButtonPressed}>`)
        }
        $('#'+this.state.Id).click((e)=>{
            $('#modalTitle').empty()
            $('#modalImg').empty()
            $('#modalText').empty()
            
            //mobile ou desktop
            if($(window).width()> 800){
            //   console.log("foi")
              $('#modalContent').css('position','relative')
              $('#modalContent').css('width','76%')
              $('#modalContent').css('height','435px')
              $('.modal-dialog').css('font-size','1.3em')
              if(this.state.Position==1 || this.state.Position==3){
                $('.modal-dialog').css('left','23rem')
              }else{
                $('.modal-dialog').css('left','-14rem')
              }
            }else{
                console.log("foi")
                $('#modalContent').css('width','17rem')
                $('#modalContent').css('height','19rem')
                $('.modal-dialog').css('left','')
                $('.modal-dialog').css('font-size','1em')
            }
            
            //modal
            currentYear = this.state.Id
            //
            
            $('#exampleModalCenter').on('shown.bs.modal', (e) => {
                
                $('#modalTitle').removeAttr('class')
                $('#modalImg').removeAttr('class')
                $('#modalText').removeAttr('class')
                if(!$('#modalImg').hasClass('modal'+currentYear)){
                    //mudando botao
                    $('#'+currentYear).html(`<img src=${this.state.ButtonPressed}>`)
                    // cookies.set('#'+currentYear,"true",{expires:365})
                    sessionStorage.setItem('#'+currentYear, true)
                    $('#modalTitle').addClass('title'+currentYear)
                    $('#modalImg').addClass('img'+currentYear)
                    $('#modalText').addClass('text'+currentYear)
                }
                
                $('#exampleModalCenterTitle').html(this.state.modalTitle)
                $('#modalTitle').html(this.state.modalTitle)
                $('#modalImg').html(`<img src=${this.state.modalImage} >`)
                $('#modalText').html(this.state.modalText)


                $("#modalTitle").focus()
            })

            $('#exampleModalCenter').on('hidden.bs.modal', (e) => {
                $('#modalImg').removeClass('.img'+this.state.Id)
                //$('#'+currentYear).html(`<img src=${this.state.Button}>`)
            })
        })

        
    }

    render(){
        return (
            <StyledButton id={this.state.Id} className="d-flex justify-content-center mb-n2 mt-n2" data-toggle="modal" data-target="#exampleModalCenter">
                <img src={this.props.Button} alt=""/>
            </StyledButton>
        )
    }
}