import React from 'react'
import $ from 'jquery'
import styled from 'styled-components'

import BackImg from "../core/media/imgs/estrutura/Botao_Volt.png"

const StyledDiv = styled.div`
    color: #FFF;
    cursor: pointer;
    position: absolute;
    left: 2%;
    top: 2%;
    font-size: 1.2em;
    
    img{
        width:15%;
    }
    
    @media (min-width: 576px) {
        top:10%;
        width:12%;
    }
    @media (min-width: 768px) {
        width:18rem;
        font-size: 2em;
        img{
            width:30%;
        }
    }
    

    @media (min-width: 992px) { 
        width:18rem;
        font-size: 2em;
        img{
            width:25%;
        }
    }
`
export default class BackButton extends React.Component{

    render(){
        return(
            <StyledDiv onClick={this.props.actionCapeButton}>
                <div style={{color:this.props.colorText}}>
                    <img src={BackImg} alt=""></img>
                    Voltar
                </div>
            </StyledDiv>
        )
    }
}