import React from 'react'
import styled from 'styled-components'
//
import CredImg from '../core/media/imgs/estrutura/Botao_Creditos.png'
//
const StyledDiv = styled.div`
    color: #FFF;
    cursor: pointer;
    align-self: flex-end !important;
    margin-right: 8%;
    margin-bottom: 5%;
    text-align: center;
    width: 18%;
    img{
        width: 100%;
    }

    @media (min-width: 576px) {
        width:15%;
        position: relative;
        bottom: -1%;
        left: -1%;
    }
    
    @media (min-width: 768px) {
        width:12%;
        position: relative;
        font-size: 1.5em;
        bottom: -1%;
        left: -1%;
    }

    @media (min-width: 992px) {
        width:10%;
        position: relative;
        font-size: 1.5em;
        bottom: -1%;
        left: -1%;
    }
`

export default class CredButton extends React.Component{
    render(){
        return(
            <StyledDiv id="Creditos"  onClick={this.props.action}>
                <img src={CredImg} alt=""></img>
                Créditos
            </StyledDiv>
        )
    }
}